# version: '3.8'

services:
  next-app:
    container_name: next-app-container
    build: .
    image: nextappimgage:v1.0  
    # pull_policy: never
    extra_hosts:
      - 'host.docker.internal:host-gateway'
    ports:
      - "5959:3000" # Expose the port
    # working_dir: /app # Set the working directory inside the container
    volumes:
      - ./moka:/nex-app/ # Mount the current directory to /app in the container
    # command: npm install --registry http://192.168.12.1:4873 --no-audit && echo "hello world" && npm start # install deps and start app
  
    # db:
    #   image: mongo:7
    #   pull_policy: never
    #   volumes:
    #     - ./db-data:/data/db